﻿/* Binds hotkeys to the unused keyboard mappings of the Panasonic CF-R8 keyboard.

   (c) 2024 Mathieu Brèthes, released under the GNU GPL V3 license, as usual.
   
   You can contact the author at https://www.mathieu-brethes.fr/

   The script should be used when they keyboard is in French configuration.

   { and } are bound to the key left or right of the space bar, respectively
   [ and ] are bound to the same key, with shift modifier
   < and > are bound to the same key, with Ctrl modifier
   AltGr is bound to the Romaji key.
   Antislash and Slash are bound to the lower right key 

Raw keycodes:

    VK  SC	Type	Up/Dn	Elapsed	Key Comment
    C1  073	 	d	2.82	not found   lower right key (with a backslash, underscore, and "ro" hiragana   	     	
    FF  07D	 	d	0.48	^           upper right "yen" key    	    
    EB  07B	 	d	3.11	not found   key just to the left of the space bar, with 3 kanji   		
    FF  079	 	d	0.28	^           key just to the left of the space bar, with 2 kanji  	           	
    FF  070	 	d	0.14	^           Hiragana, Katakana, Romaji selection key   	
    
*/

; A bug lets AutoHotKey asking to install version 1 to run this script
; unless this line is present.
; Source : https://www.reddit.com/r/AutoHotkey/comments/zwb52t/autohotkey_v2_escape_syntax/
#Requires AutoHotkey v2.0

SC07B::`{
SC079::}
+SC07B::[
+SC079::]
^SC07B::<
^SC079::>
SC073::\
+SC073::/

*SC070::{
    SetKeyDelay -1
    send "{Blind}{lctrl down}{ralt down}"
}
*SC070 up::{
    SetKeyDelay -1
    send "{Blind}{lctrl up}{ralt up}"    
}
